目次

# IsObject Function

Tests if a variable is an object, as opposed to primitive data types such as dates, numbers, texts. The function returns True if the variable is an object, otherwise it returns False.

This function returns True for the following object types:

- OLE objects or UNO objects

- Class module object instances

- Extended types or enumerations

- Routines or variables when defined as Object.

- LibreOffice Basic modules

Data structures return True even when empty. Object defined variables return True even if uninitialized.

### Syntax:

IsObject(var)

### Return type:

Boolean

### Parameters:

Name | Type | Description
--- | --- | ---
var |  | The variable to be tested.

### Error codes:

5 無効なプロシージャー呼び出しです

関連項目

EqualUnoObjects Function

Enum statement

Option ClassModule Statement

Type statement

Using variables

ご支援をお願いします！